function FIGURE_ToyotaCarDetection(SSIdx);

DetectionRoot = '/cbcl/scratch01/bileschi/ObjectDetectors/ToyotaResults';

  template = 'Detections_%.5d.mat';
  load(fullfile(DetectionRoot,sprintf(template,SSIdx)));%-->'DetectionList','yComb','caYLayr'
  figure(SSIdx);
  %imshow(im);
  RSegment = '/cbcl/scratch01/bileschi/c2CarDetector/figures';
  segfname = fullfile(RSegment,sprintf('5_Labels_%.5d.jpg',SSIdx));
  segim = imread(segfname);
  imshow(segfname);
  radii = 32 * 2.^((0:10)/4);

  DrawBoxDetections(DetectionList.car, radii, [960 1280],'car',0);
  DrawBoxDetections(DetectionList.ped, radii, [960 1280],'ped',50);
  mystr = sprintf('StreetScenes img %.5d Detector Ver:%2.1f',SSIdx,1);
  g = text(10,10,mystr);
  set(g,'Color',[.25 .125 0]);
